Bug 68698 - Channel Managers not allowed to upload packages
Summary: Channel Managers not allowed to upload packages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: unspecified
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67514
TreeView+ depends on / blocked
 
Reported: 2002-07-12 16:17 UTC by Matt Jamison
Modified: 2007-07-31 19:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 15:23:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Komenda 2002-07-12 16:17:59 UTC
Description of Problem:Users assigned 'Channel Manager' privilages are not
allowed to upload packages. 


How Reproducible: On sat-inst.test, ran the following: 
rhnpush -v --server=http://sat-inst.test.redhat.com/APP -u ianubs -c chitest
/etc/sysconfig/rhn/rhns-ca-cert-1.0-1.*

This generated error message 4 - permission denied. Changing the user to 'Org
Admin' fixed.

Comment 1 Mihai Ibanescu 2002-07-12 16:49:42 UTC
Fixed in CVS; this would probably be a good place to thoroughly test uploads
with various types of users (unprivileged, org_admin, channel_admin).

Comment 2 Josef Komenda 2002-07-16 21:03:25 UTC
This is still failing in the same way with the latest (16 July Build) code.

Comment 3 Mihai Ibanescu 2002-07-17 15:23:35 UTC
Wild guess: the code in the QA channel was dated Jul 11.
Pushed new code in QA.

Comment 4 Josef Komenda 2002-07-17 22:19:12 UTC
Fixed, closing.


Note You need to log in before you can comment on or make changes to this bug.